Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::ServerInformation_var Class Reference

`#include <ImplRepoC.h>`

Collaboration diagram for ImplementationRepository::ServerInformation_var:

[legend]
List of all members.

## Public Methods
| ServerInformation_var (void)
| ServerInformation_var (ServerInformation *)
| ServerInformation_var (const ServerInformation_var &)
| ~ServerInformation_var (void)
ServerInformation_var & | operator= (ServerInformation *)
ServerInformation_var & | operator= (const ServerInformation_var &)
ServerInformation * | operator-> (void)
const ServerInformation * | operator-> (void) const
| operator const ServerInformation & () const
| operator ServerInformation & ()
| operator ServerInformation & () const
| operator ServerInformation *& ()
const ServerInformation & | in (void) const
ServerInformation & | inout (void)
ServerInformation *& | out (void)
ServerInformation * | _retn (void)
ServerInformation * | ptr (void) const
## Private Attributes
ServerInformation * | ptr_

## Constructor & Destructor Documentation

ImplementationRepository::ServerInformation_var::ServerInformation_var | ( | void |  | ) |

ImplementationRepository::ServerInformation_var::ServerInformation_var | ( | ServerInformation * |  | ) |

ImplementationRepository::ServerInformation_var::ServerInformation_var | ( | const ServerInformation_var & |  | ) |

ImplementationRepository::ServerInformation_var::~ServerInformation_var | ( | void |  | ) |

## Member Function Documentation

ServerInformation* ImplementationRepository::ServerInformation_var::_retn | ( | void |  | ) |

const ServerInformation& ImplementationRepository::ServerInformation_var::in | ( | void |  | ) | const

ServerInformation& ImplementationRepository::ServerInformation_var::inout | ( | void |  | ) |

ImplementationRepository::ServerInformation_var::operator const ServerInformation & | ( |  | ) | const

ImplementationRepository::ServerInformation_var::operator ServerInformation & | ( |  | ) | const

ImplementationRepository::ServerInformation_var::operator ServerInformation & | ( |  | ) |

ImplementationRepository::ServerInformation_var::operator ServerInformation *& | ( |  | ) |

const ServerInformation* ImplementationRepository::ServerInformation_var::operator-> | ( | void |  | ) | const

ServerInformation* ImplementationRepository::ServerInformation_var::operator-> | ( | void |  | ) |

ServerInformation_var& ImplementationRepository::ServerInformation_var::operator= | ( | const ServerInformation_var & |  | ) |

ServerInformation_var& ImplementationRepository::ServerInformation_var::operator= | ( | ServerInformation * |  | ) |

ServerInformation*& ImplementationRepository::ServerInformation_var::out | ( | void |  | ) |

ServerInformation* ImplementationRepository::ServerInformation_var::ptr | ( | void |  | ) | const

## Member Data Documentation

ServerInformation* ImplementationRepository::ServerInformation_var::ptr_`[private]`

The documentation for this class was generated from the following file:

- ImplRepoC.h